<?xml version="1.0" encoding="utf-8"?>
<!--XBRL document created with Toppan Merrill Bridge  11.3.0.1 -->
<!--Based on XBRL 2.1-->
<!--Created on: 4/21/2026 4:42:56 AM-->
<!--Modified on: 4/21/2026 4:42:56 AM-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" />
  <link:arcroleRef arcroleURI="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd#wider-narrower" />
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpAdjustmentsOnly" />
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended" xlink:title="Pay vs Performance Adjustments">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember" xlink:title="ecd_AllAdjToCompMember" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsValueInCompensationTableForApplicableYearMember" xlink:label="ohi_EquityAwardsValueInCompensationTableForApplicableYearMember" xlink:title="ohi_EquityAwardsValueInCompensationTableForApplicableYearMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsValueInCompensationTableForApplicableYearMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsValueInCompensationTableForApplicableYearMember" order="1" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" xlink:label="ohi_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" xlink:title="ohi_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" order="2" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" xlink:label="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" xlink:title="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" order="3" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" xlink:label="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" xlink:title="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" order="4" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" xlink:label="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" xlink:title="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" order="5" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" xlink:label="ohi_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" xlink:title="ohi_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" order="6" priority="0" />
    <link:loc xlink:type="locator" xlink:href="ohi-20260605.xsd#ohi_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" xlink:label="ohi_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" xlink:title="ohi_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" />
    <link:definitionArc xlink:type="arc" xlink:from="ecd_AllAdjToCompMember" xlink:to="ohi_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" use="optional" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:title="definition:ecd_AllAdjToCompMember To ohi_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" order="7" priority="0" />
  </link:definitionLink>
</link:linkbase>